<template>
    <div :class="$page.props.showingMobileMenu ? 'block' : 'hidden'" @click="$page.props.showingMobileMenu = false"
         class="fixed inset-0 z-20 bg-black opacity-50 transition-opacity lg:hidden"></div>

    <div :class="$page.props.showingMobileMenu ? 'translate-x-0 ease-out' : '-translate-x-full ease-in'"
         class="overflow-y-auto fixed inset-y-0 left-0 z-30 w-64 bg-blue-900 hover:bg-blue-600 transition duration-300 transform lg:translate-x-0 lg:static lg:inset-0">
        <div class="flex justify-center items-center mt-8">
            <div class="flex items-center">
                <span class="mx-2 text-2xl font-semibold text-white">Sistema de Información Presupuestaria</span> 
            </div>
        </div>

        <nav class="mt-10" x-data="{ isMultiLevelMenuOpen: false }">
            <nav-link class=" hover:bg-blue-800 " :href="route('dashboard')" :active="route().current('dashboard')">
                <i class="fa fa-area-chart" aria-hidden="true"></i>
                Inicio
            </nav-link>

            
            <nav-link class=" hover:bg-blue-800 " :href="route('departments.index')" :active="route().current('departments.index')">
                <i class="fa fa-file-text" aria-hidden="true"></i>
                Formulación presupuestaria
            </nav-link>
            <nav-link class=" hover:bg-blue-800" :href="route('departments.index')" :active="route().current('departments.index')">
                <i class="fa fa-pencil" aria-hidden="true"></i>
                Solicitud de Modificación
            </nav-link>
            <nav-link class=" hover:bg-blue-800" :href="route('departments.index')" :active="route().current('departments.index')">
                <i class="fa fa-bar-chart" aria-hidden="true"></i>
                Reportes
            </nav-link>
            <nav-link class=" hover:bg-blue-800" :href="route('departments.index')" :active="route().current('departments.index')">
                <i class="fa fa-usd" aria-hidden="true"></i>
                Tasa de cambio
            </nav-link>
            <nav-link class=" hover:bg-blue-800" :href="route('departments.index')" :active="route().current('departments.index')">
                <i class="fa fa-times-circle" aria-hidden="true"></i>
                Cierre
            </nav-link>
            <nav-link class=" hover:bg-blue-800" :href="route('departments.index')" :active="route().current('departments.index')">
                <i class="fa fa-list-ul" aria-hidden="true"></i>
                Cuentas
            </nav-link>
            <nav-link class=" hover:bg-blue-800" :href="route('departments.index')" :active="route().current('departments.index')">
                <i class="fa fa-indent" aria-hidden="true"></i>
                Detalles de cuenta
            </nav-link>
            
            <nav-link class=" hover:bg-blue-800" :href="route('employees.index')" :active="route().current('employees.index')">
                <i class="fa solid fa-user"> </i>
                Empleados
            </nav-link>
            <nav-link class=" hover:bg-blue-800" :href="route('graphic')" :active="route().current('graphic')">
                <i class="fa solid fa-chart-pie"> </i>
                Graficas
            </nav-link>
            <nav-link class=" hover:bg-blue-800" :href="route('reports')" :active="route().current('reports')">
                <i class="fa solid fa-table"> </i>
                Reportes
            </nav-link>
            
            
            <!--<nav-link :href="route('users.index')" :active="route().current('users.index')">
                <template #icon>
                    <svg class="w-5 h-5" fill="none" stroke="currentColor" viewBox="0 0 24 24"
                         xmlns="http://www.w3.org/2000/svg">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                              d="M12 4.354a4 4 0 110 5.292M15 21H3v-1a6 6 0 0112 0v1zm0 0h6v-1a6 6 0 00-9-5.197M13 7a4 4 0 11-8 0 4 4 0 018 0z"></path>
                    </svg>
                </template>
                Users
            </nav-link>

            <nav-link :href="route('about')" :active="route().current('about')">
                <template #icon>
                    <svg class="w-5 h-5" aria-hidden="true" fill="none" stroke-linecap="round" stroke-linejoin="round"
                         stroke-width="2" viewBox="0 0 24 24" stroke="currentColor">
                        <path
                            d="M4 5a1 1 0 011-1h14a1 1 0 011 1v2a1 1 0 01-1 1H5a1 1 0 01-1-1V5zM4 13a1 1 0 011-1h6a1 1 0 011 1v6a1 1 0 01-1 1H5a1 1 0 01-1-1v-6zM16 13a1 1 0 011-1h2a1 1 0 011 1v6a1 1 0 01-1 1h-2a1 1 0 01-1-1v-6z"></path>
                    </svg>
                </template>
                About us
            </nav-link>-->
            
        </nav>
    </div>

</template>

<script>
import NavLink from '@/Components/NavLink.vue';
import { Link } from '@inertiajs/vue3';
import { ref } from 'vue'

export default {
    components: {
        NavLink,
        Link,
    },

    setup() {
        let showingTwoLevelMenu = ref(false)

        return {
            showingTwoLevelMenu
        }
    },
}
</script>

<style scoped>

</style>
